declare const _default: import("@vue/runtime-core").DefineComponent<{
    /**
     * @property {String} [mode='month'] - 显示模式，month|year 可选
     */
    mode: {
        type: StringConstructor;
        default: string;
        validator: (value: string) => boolean;
    };
    /**
     * @property {Number} [year=getFullYear()] - 指定年份，默认今年
     */
    year: {
        type: NumberConstructor;
        default(): number;
    };
    /**
     * @property {Number} [month=getMonth()] - 指定月份，默认当月
     */
    month: {
        type: NumberConstructor;
        default(): number;
    };
    /**
     * @property {Array} events - 事件列表
     * @example
     * [{ time: 1534297845236, title: '消息', content: '这是一条消息', type: 'primary' },
     * { time: 1534297845236, title: '消息', content: '还有', type: 'info' }]
     * type 类型： warning、error、info、success
     */
    events: ArrayConstructor;
    /**
     * @property {Boolean} [showSelected=false] - 显示选中的日期
     */
    showSelected: BooleanConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}, () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    /**
     * @property {String} [mode='month'] - 显示模式，month|year 可选
     */
    mode: {
        type: StringConstructor;
        default: string;
        validator: (value: string) => boolean;
    };
    /**
     * @property {Number} [year=getFullYear()] - 指定年份，默认今年
     */
    year: {
        type: NumberConstructor;
        default(): number;
    };
    /**
     * @property {Number} [month=getMonth()] - 指定月份，默认当月
     */
    month: {
        type: NumberConstructor;
        default(): number;
    };
    /**
     * @property {Array} events - 事件列表
     * @example
     * [{ time: 1534297845236, title: '消息', content: '这是一条消息', type: 'primary' },
     * { time: 1534297845236, title: '消息', content: '还有', type: 'info' }]
     * type 类型： warning、error、info、success
     */
    events: ArrayConstructor;
    /**
     * @property {Boolean} [showSelected=false] - 显示选中的日期
     */
    showSelected: BooleanConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_chart_theme: ObjectConstructor;
}>>, {
    mode: string;
    year: number;
    month: number;
    tiny_mode_root: boolean;
    showSelected: boolean;
}, {}>;
export default _default;
